org.eclipse.jetty.security

## Class MappedLoginService.RolePrincipal

- java.lang.Object
- - org.eclipse.jetty.security.MappedLoginService.RolePrincipal

All Implemented Interfaces:
  Serializable, Principal

Enclosing class:
  MappedLoginService

    public static class MappedLoginService.RolePrincipal
    extends Object
    implements Principal, Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MappedLoginService.RolePrincipal(String name)`

### Method Summary

Methods
`String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`equals, hashCode, toString`

### Constructor Detail

#### MappedLoginService.RolePrincipal

    public MappedLoginService.RolePrincipal(String name)

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `Principal`